MongoCursor::fields
MongoCursor::getReadPreference
MongoCursor
PHP Manual

# MongoCursor::getNext

Return the next object to which this cursor points, and advance the cursor

### Description

public array MongoCursor::getNext ( void )

This is identical to the function:

`<?php
public function getNext() {
$this->next();
return $this->current();
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the next object.

### Errors/Exceptions

Throws MongoConnectionException if it cannot reach the database and MongoCursorTimeoutException if the timeout is exceeded.